Get guest check extensibility details
post
/bi/v1/{orgIdentifier}/getGuestCheckExtensibilityDetails
Get all the Guest Check Extensibility details for a specified location and business date.
Request
Path Parameters
-
orgIdentifier(required): string
Unique identifier of the organization name
The request body defines the details of the API request.
Root Schema : gstChkExtRequestPayload
Type:
objectRequest payload for guest check extensibility
Show Source
-
applicationName:
string
Title:
Application NameMaximum Length:128The name of the application which is accessing the API.First Available Version: 20.1.10
-
busDt:
string(date)
Title:
Business DateIf present, the API will return the superset of all guest checks where Open Business Date or Closed Business Date match the supplied date. This parameter cannot be present if clsdBusDt or opnBusDt are present.First Available Version: 20.5
-
changedSinceUTC:
string(date-time)
Title:
Changed Since Date Time UTCReport all guest check extensibility activity that has occurred since this UTC date and time. If this object is not included, return all guest check extensibility activity for the specified business date.First Available Version: 20.5
-
clsdBusDt:
string(date)
Title:
Closed Business DateIf present, the API will return all guest checks which were closed or reopen closed on the supplied business date. This parameter cannot be present if opnBusDt or busDt are present.First Available Version: 20.5
-
include:
string
Title:
IncludeMaximum Length:2000List of objects to include in response -
locRef(required):
string
Title:
Location ReferenceMaximum Length:99The location reference, this may be a store number or name depending on the organization -
opnBusDt:
string(date)
Title:
Open Business DateIf present, the API will return the guest checks which were opened or reopened on the supplied business date. This parameter cannot be present if clsdBusDt or busDt are present.First Available Version: 20.5
-
searchCriteria:
string
Title:
Search CriteriaMaximum Length:2000Search criteria to filter results based on field value
Response
Supported Media Types
- application/json
200 Response
OK
Root Schema : guestCheckExtDetails
Type:
objectThe response body contains information about the guest check extensiblity transactions for the specified location and business date.
Show Source
-
curUTC(required):
string(date-time)
Title:
Current Date Time in UTCThe current UTC date and time when the request is made.First Available Version: 20.5
-
locRef(required):
string
Title:
Location ReferenceMaximum Length:99The location reference, this may be a store number or name depending on the organization -
opnBusDt(required):
string(date)
Title:
Open Business DateThe business date when the guest check was opened -
revenueCenters(required):
array revenueCenters
An array of guest check extensibility details by reveneue centers
Nested Schema : revenueCenters
Type:
arrayAn array of guest check extensibility details by reveneue centers
Show Source
-
Array of:
object guestCheckExtDetailsByRVC
The response body contains guest checks extensiblity transactions associated with a revenue center.
Nested Schema : guestCheckExtDetailsByRVC
Type:
objectThe response body contains guest checks extensiblity transactions associated with a revenue center.
Show Source
-
guestChecks(required):
array guestChecks
An array of guest checks with extensibility data. This attribute will not be returned in the response if value is null
-
rvcNum(required):
integer
Title:
Revenue center numberMaximum Length:10Revenue Center number. This attribute will not be returned in the response if guestChecks is null
Nested Schema : guestChecks
Type:
arrayAn array of guest checks with extensibility data. This attribute will not be returned in the response if value is null
Show Source
-
Array of:
object guestCheckExtDetail
The response body contains guest check extensiblity information associated with a revenue center.
Nested Schema : guestCheckExtDetail
Type:
objectThe response body contains guest check extensiblity information associated with a revenue center.
Show Source
-
dspName(required):
string
Title:
Display NameMaximum Length:99Display name. This attribute will not be returned in the response if value is null -
extAppId(required):
integer
Title:
Extension Appllication IDMaximum Length:16Unique identifier extension application -
extDataName(required):
string
Title:
Extension Data nameMaximum Length:99Name of the extension data. This attribute will not be returned in the response if value is null -
guestCheckId(required):
integer
Title:
Guest Check IDMaximum Length:16The unique identifier of the guest check -
strData(required):
string
Title:
String DataMaximum Length:99String data associated with the extension. This attribute will not be returned in the response if value is null
400 Response
Bad Request
Root Schema : exceptionDetailType
Type:
objectError Details
Show Source
-
detail:
string
Title:
Error DescriptionThe description of the error -
o:errorCode(required):
integer
Title:
Oracle Error CodeOracle error code -
status:
integer
Title:
StatusHTTP Response Code -
title(required):
string
Title:
TitleHigh level description of the error -
type(required):
string
Title:
TypeThe description of the type of HTTP error
401 Response
Unauthorized
Root Schema : exceptionDetailType
Type:
objectError Details
Show Source
-
detail:
string
Title:
Error DescriptionThe description of the error -
o:errorCode(required):
integer
Title:
Oracle Error CodeOracle error code -
status:
integer
Title:
StatusHTTP Response Code -
title(required):
string
Title:
TitleHigh level description of the error -
type(required):
string
Title:
TypeThe description of the type of HTTP error
403 Response
Service Unavailable
Root Schema : exceptionDetailType
Type:
objectError Details
Show Source
-
detail:
string
Title:
Error DescriptionThe description of the error -
o:errorCode(required):
integer
Title:
Oracle Error CodeOracle error code -
status:
integer
Title:
StatusHTTP Response Code -
title(required):
string
Title:
TitleHigh level description of the error -
type(required):
string
Title:
TypeThe description of the type of HTTP error
404 Response
Resource Not Found
Root Schema : exceptionDetailType
Type:
objectError Details
Show Source
-
detail:
string
Title:
Error DescriptionThe description of the error -
o:errorCode(required):
integer
Title:
Oracle Error CodeOracle error code -
status:
integer
Title:
StatusHTTP Response Code -
title(required):
string
Title:
TitleHigh level description of the error -
type(required):
string
Title:
TypeThe description of the type of HTTP error
Default Response
Unexpected Error
Root Schema : exceptionDetailType
Type:
objectError Details
Show Source
-
detail:
string
Title:
Error DescriptionThe description of the error -
o:errorCode(required):
integer
Title:
Oracle Error CodeOracle error code -
status:
integer
Title:
StatusHTTP Response Code -
title(required):
string
Title:
TitleHigh level description of the error -
type(required):
string
Title:
TypeThe description of the type of HTTP error
Examples
The following example shows how to get the guest check extensibility details for a specified location and business date by submitting a POST request on the REST resource using cURL. For more information, see Use cURL
curl -i -X POST -H "Authorization: Bearer" -H "Content-Type:application/json" -d {"locRef":"1234","busDt":"2020-10-20","changedSinceUTC":"2020-10-20T16:00:00"} https://baseurl/bi/v1/orgidentifier/getGuestCheckExtensibilityDetails
Example of Response Header
The following shows an example of the response header.
HTTP/1.1 200 OK Date: Tue, 20 Oct 2020 21:24:33 GMT Transfer-Encoding: chunked Content-Type: application/json
Example of Response Body
The following example shows the contents of the response body in JSON format:
{
"curUTC": "2020-10-20T16:42:42",
"locRef": "1234",
"opnBusDt": "2020-07-20",
"revenueCenters": [{
"rvcNum": 1372,
"guestChecks": [{
"guestCheckId": 124354,
"extAppId": 123,
"extDataName": "Extensibility Data",
"strData": "Extension string",
"dspName": "Name"
}]
}]
}